Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/AMM12/EXP00/namelist_cfg
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/AMM12/EXP00/namelist_cfg	(revision 6621)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/AMM12/EXP00/namelist_cfg	(revision 6624)
@@ -22,8 +22,4 @@
    cp_cfg      =  "amm"                !  name of the configuration
    jp_cfg      =     011               !  resolution of the configuration
-!   jpkdta      =      51               !  number of levels      ( >= jpk )
-!   jpiglo      =     198               !  1st dimension of global domain --> i =jpidta
-!   jpjglo      =     224               !  2nd    -                  -    --> j  =jpjdta
-   jperio      =       0               !  lateral cond. type (between 0 and 6)
 /
 !-----------------------------------------------------------------------
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/GYRE/EXP00/namelist_cfg
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/GYRE/EXP00/namelist_cfg	(revision 6621)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/GYRE/EXP00/namelist_cfg	(revision 6624)
@@ -29,5 +29,4 @@
    cp_cfg      =  "gyre"                 !  name of the configuration
    jp_cfg      =       1                 !  resolution of the configuration
-   jperio      =       0                 !  lateral cond. type (between 0 and 6)
 /
 !-----------------------------------------------------------------------
@@ -46,5 +45,5 @@
    nn_bathy    =    0      !  compute (=0) or read (=1) the bathymetry file
    rn_rdt      = 7200.     !  time step for the dynamics 
-   nn_msh      =    1      !  create (=1) a mesh file or not (=0)
+   nn_msh      =   -1      !  create (=1) a mesh file or not (=0)
    ppsur       =   -2033.194295283385    !  ORCA r4, r2 and r05 coefficients
    ppa0        =     155.8325369664153   ! (default coefficients)
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/GYRE_BFM/EXP00/namelist_cfg
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/GYRE_BFM/EXP00/namelist_cfg	(revision 6621)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/GYRE_BFM/EXP00/namelist_cfg	(revision 6624)
@@ -24,5 +24,4 @@
    cp_cfg      =  "gyre"                 !  name of the configuration
    jp_cfg      =       1                 !  resolution of the configuration
-   jperio      =       0                 !  lateral cond. type (between 0 and 6)
 /
 &namzgr        !   vertical coordinate
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/GYRE_PISCES/EXP00/namelist_cfg
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/GYRE_PISCES/EXP00/namelist_cfg	(revision 6621)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/GYRE_PISCES/EXP00/namelist_cfg	(revision 6624)
@@ -17,5 +17,4 @@
    cp_cfg      =  "gyre"                 !  name of the configuration
    jp_cfg      =       1                 !  resolution of the configuration
-   jperio      =       0                 !  lateral cond. type (between 0 and 6)
 /
 !-----------------------------------------------------------------------
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/GYRE_XIOS/EXP00/namelist_cfg
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/GYRE_XIOS/EXP00/namelist_cfg	(revision 6621)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/GYRE_XIOS/EXP00/namelist_cfg	(revision 6624)
@@ -17,5 +17,4 @@
    cp_cfg      =  "gyre"                 !  name of the configuration
    jp_cfg      =       1                 !  resolution of the configuration
-   jperio      =       0                 !  lateral cond. type (between 0 and 6)
 /
 !-----------------------------------------------------------------------
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/1_namelist_cfg
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/1_namelist_cfg	(revision 6621)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/1_namelist_cfg	(revision 6624)
@@ -17,12 +17,4 @@
    cp_cfg      =  "default"             !  name of the configuration
    jp_cfg      =      -1               !  resolution of the configuration
-   jpidta      =     182               !  1st lateral dimension ( >= jpi )
-   jpjdta      =     149               !  2nd    "         "    ( >= jpj )
-   jpkdta      =      31               !  number of levels      ( >= jpk )
-   jpiglo      =     182               !  1st dimension of global domain --> i =jpidta
-   jpjglo      =     149               !  2nd    -                  -    --> j  =jpjdta
-   jpizoom     =       1               !  left bottom (i,j) indices of the zoom
-   jpjzoom     =       1               !  in data domain indices
-   jperio      =       0               !  lateral cond. type (between 0 and 6)
 /
 !-----------------------------------------------------------------------
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist_cfg
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist_cfg	(revision 6621)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist_cfg	(revision 6624)
@@ -16,12 +16,4 @@
    cp_cfg      =  "orca"               !  name of the configuration
    jp_cfg      =       2               !  resolution of the configuration
-   jpidta      =     182               !  1st lateral dimension ( >= jpi )
-   jpjdta      =     149               !  2nd    "         "    ( >= jpj )
-   jpkdta      =      31               !  number of levels      ( >= jpk )
-   jpiglo      =     182               !  1st dimension of global domain --> i =jpidta
-   jpjglo      =     149               !  2nd    -                  -    --> j  =jpjdta
-   jpizoom     =       1               !  left bottom (i,j) indices of the zoom
-   jpjzoom     =       1               !  in data domain indices
-   jperio      =       4               !  lateral cond. type (between 0 and 6)
 /
 !-----------------------------------------------------------------------
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/1_namelist_cfg
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/1_namelist_cfg	(revision 6621)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/1_namelist_cfg	(revision 6624)
@@ -16,12 +16,4 @@
    cp_cfg      =  "default"             !  name of the configuration
    jp_cfg      =      -1               !  resolution of the configuration
-   jpidta      =     182               !  1st lateral dimension ( >= jpi )
-   jpjdta      =     149               !  2nd    "         "    ( >= jpj )
-   jpkdta      =      31               !  number of levels      ( >= jpk )
-   jpiglo      =     182               !  1st dimension of global domain --> i =jpidta
-   jpjglo      =     149               !  2nd    -                  -    --> j  =jpjdta
-   jpizoom     =       1               !  left bottom (i,j) indices of the zoom
-   jpjzoom     =       1               !  in data domain indices
-   jperio      =       0               !  lateral cond. type (between 0 and 6)
 /
 !-----------------------------------------------------------------------
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/namelist_cfg
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/namelist_cfg	(revision 6621)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/namelist_cfg	(revision 6624)
@@ -16,12 +16,4 @@
    cp_cfg      =  "orca"               !  name of the configuration
    jp_cfg      =       2               !  resolution of the configuration
-   jpidta      =     182               !  1st lateral dimension ( >= jpi )
-   jpjdta      =     149               !  2nd    "         "    ( >= jpj )
-   jpkdta      =      31               !  number of levels      ( >= jpk )
-   jpiglo      =     182               !  1st dimension of global domain --> i =jpidta
-   jpjglo      =     149               !  2nd    -                  -    --> j  =jpjdta
-   jpizoom     =       1               !  left bottom (i,j) indices of the zoom
-   jpjzoom     =       1               !  in data domain indices
-   jperio      =       4               !  lateral cond. type (between 0 and 6)
 /
 !-----------------------------------------------------------------------
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/EXP00/namelist_cfg
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/EXP00/namelist_cfg	(revision 6621)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/EXP00/namelist_cfg	(revision 6624)
@@ -19,12 +19,4 @@
    cp_cfg      =  "orca"               !  name of the configuration
    jp_cfg      =       2               !  resolution of the configuration
-   jpidta      =     182               !  1st lateral dimension ( >= jpi )
-   jpjdta      =     149               !  2nd    "         "    ( >= jpj )
-   jpkdta      =      31               !  number of levels      ( >= jpk )
-   jpiglo      =     182               !  1st dimension of global domain --> i =jpidta
-   jpjglo      =     149               !  2nd    -                  -    --> j  =jpjdta
-   jpizoom     =       1               !  left bottom (i,j) indices of the zoom
-   jpjzoom     =       1               !  in data domain indices
-   jperio      =       4               !  lateral cond. type (between 0 and 6)
 /
 !-----------------------------------------------------------------------
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_cfg
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_cfg	(revision 6621)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_cfg	(revision 6624)
@@ -12,12 +12,4 @@
    cp_cfg      =  "orca"               !  name of the configuration
    jp_cfg      =       2               !  resolution of the configuration
-   jpidta      =     182               !  1st lateral dimension ( >= jpi )
-   jpjdta      =     149               !  2nd    "         "    ( >= jpj )
-   jpkdta      =      31               !  number of levels      ( >= jpk )
-   jpiglo      =     182               !  1st dimension of global domain --> i =jpidta
-   jpjglo      =     149               !  2nd    -                  -    --> j  =jpjdta
-   jpizoom     =       1               !  left bottom (i,j) indices of the zoom
-   jpjzoom     =       1               !  in data domain indices
-   jperio      =       4               !  lateral cond. type (between 0 and 6)
 /
 !-----------------------------------------------------------------------
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_cfg
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_cfg	(revision 6621)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_cfg	(revision 6624)
@@ -15,12 +15,4 @@
    cp_cfg      =  "orca"               !  name of the configuration
    jp_cfg      =       2               !  resolution of the configuration
-   jpidta      =     182               !  1st lateral dimension ( >= jpi )
-   jpjdta      =     149               !  2nd    "         "    ( >= jpj )
-   jpkdta      =      31               !  number of levels      ( >= jpk )
-   jpiglo      =     182               !  1st dimension of global domain --> i =jpidta
-   jpjglo      =     149               !  2nd    -                  -    --> j  =jpjdta
-   jpizoom     =       1               !  left bottom (i,j) indices of the zoom
-   jpjzoom     =       1               !  in data domain indices
-   jperio      =       4               !  lateral cond. type (between 0 and 6)
 /
 !-----------------------------------------------------------------------
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ORCA2_SAS_LIM/EXP00/namelist_cfg
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ORCA2_SAS_LIM/EXP00/namelist_cfg	(revision 6621)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ORCA2_SAS_LIM/EXP00/namelist_cfg	(revision 6624)
@@ -14,12 +14,4 @@
    cp_cfg      =  "orca"               !  name of the configuration
    jp_cfg      =       2               !  resolution of the configuration
-   jpidta      =     182               !  1st lateral dimension ( >= jpi )
-   jpjdta      =     149               !  2nd    "         "    ( >= jpj )
-   jpkdta      =      31               !  number of levels      ( >= jpk )
-   jpiglo      =     182               !  1st dimension of global domain --> i =jpidta
-   jpjglo      =     149               !  2nd    -                  -    --> j  =jpjdta
-   jpizoom     =       1               !  left bottom (i,j) indices of the zoom
-   jpjzoom     =       1               !  in data domain indices
-   jperio      =       4               !  lateral cond. type (between 0 and 6)
 /
 !-----------------------------------------------------------------------
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/SHARED/namelist_ref
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 6621)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 6624)
@@ -75,12 +75,5 @@
                            !  bathymetry, boudary condition, initial state, sbc) or (.false.) to call user_defined.F90 module
    cp_cfg      = "default" !  name of the configuration
-   cp_cfz      = "no zoom" !  name of the zoom of configuration
    jp_cfg      =      0    !  resolution of the configuration
-   jperio      =      0    !  lateral cond. type (between 0 and 6)
-                                 !  = 0 closed                 ;   = 1 cyclic East-West
-                                 !  = 2 equatorial symmetric   ;   = 3 North fold T-point pivot
-                                 !  = 4 cyclic East-West AND North fold T-point pivot
-                                 !  = 5 North fold F-point pivot
-                                 !  = 6 cyclic East-West AND North fold F-point pivot
    ln_use_jattr = .false.  !  use (T) the file attribute: open_ocean_jstart, if present
                            !  in netcdf input files, as the start j-row for reading
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/dom_oce.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/dom_oce.F90	(revision 6621)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/dom_oce.F90	(revision 6624)
@@ -29,74 +29,80 @@
    !! time & space domain namelist
    !! ----------------------------
-   !                                    !!* Namelist namdom : time & space domain *
-   INTEGER , PUBLIC ::   nn_bathy        !: = 0/1 ,compute/read the bathymetry file
-   REAL(wp), PUBLIC ::   rn_bathy        !: depth of flat bottom (active if nn_bathy=0; if =0 depth=jpkm1)
-   REAL(wp), PUBLIC ::   rn_hmin         !: minimum ocean depth (>0) or minimum number of ocean levels (<0)
-   REAL(wp), PUBLIC ::   rn_isfhmin      !: threshold to discriminate grounded ice to floating ice
-   REAL(wp), PUBLIC ::   rn_e3zps_min    !: miminum thickness for partial steps (meters)
-   REAL(wp), PUBLIC ::   rn_e3zps_rat    !: minimum thickness ration for partial steps
-   INTEGER , PUBLIC ::   nn_msh          !: = 1 create a mesh-mask file
-   REAL(wp), PUBLIC ::   rn_atfp         !: asselin time filter parameter
-   REAL(wp), PUBLIC ::   rn_rdt          !: time step for the dynamics and tracer
-   INTEGER , PUBLIC ::   nn_closea       !: =0 suppress closed sea/lake from the ORCA domain or not (=1)
-   INTEGER , PUBLIC ::   nn_euler        !: =0 start with forward time step or not (=1)
+   !                                   !!* Namelist namdom : time & space domain *
+   INTEGER , PUBLIC ::   nn_bathy       !: = 0/1 ,compute/read the bathymetry file
+   REAL(wp), PUBLIC ::   rn_bathy       !: depth of flat bottom (active if nn_bathy=0; if =0 depth=jpkm1)
+   REAL(wp), PUBLIC ::   rn_hmin        !: minimum ocean depth (>0) or minimum number of ocean levels (<0)
+   REAL(wp), PUBLIC ::   rn_isfhmin     !: threshold to discriminate grounded ice to floating ice
+   REAL(wp), PUBLIC ::   rn_e3zps_min   !: miminum thickness for partial steps (meters)
+   REAL(wp), PUBLIC ::   rn_e3zps_rat   !: minimum thickness ration for partial steps
+   INTEGER , PUBLIC ::   nn_msh         !: = 1 create a mesh-mask file
+   REAL(wp), PUBLIC ::   rn_atfp        !: asselin time filter parameter
+   REAL(wp), PUBLIC ::   rn_rdt         !: time step for the dynamics and tracer
+   INTEGER , PUBLIC ::   nn_closea      !: =0 suppress closed sea/lake from the ORCA domain or not (=1)
+   INTEGER , PUBLIC ::   nn_euler       !: =0 start with forward time step or not (=1)
    LOGICAL , PUBLIC ::   ln_iscpl       !: coupling with ice sheet
-   LOGICAL , PUBLIC ::   ln_crs          !: Apply grid coarsening to dynamical model output or online passive tracers
+   LOGICAL , PUBLIC ::   ln_crs         !: Apply grid coarsening to dynamical model output or online passive tracers
 
    !! Free surface parameters
    !! =======================
-   LOGICAL , PUBLIC :: ln_dynspg_exp     !: Explicit free surface flag
-   LOGICAL , PUBLIC :: ln_dynspg_ts      !: Split-Explicit free surface flag
+   LOGICAL , PUBLIC :: ln_dynspg_exp    !: Explicit free surface flag
+   LOGICAL , PUBLIC :: ln_dynspg_ts     !: Split-Explicit free surface flag
 
    !! Time splitting parameters
    !! =========================
-   LOGICAL,  PUBLIC :: ln_bt_fw          !: Forward integration of barotropic sub-stepping
-   LOGICAL,  PUBLIC :: ln_bt_av          !: Time averaging of barotropic variables
-   LOGICAL,  PUBLIC :: ln_bt_auto        !: Set number of barotropic iterations automatically
-   INTEGER,  PUBLIC :: nn_bt_flt         !: Filter choice
-   INTEGER,  PUBLIC :: nn_baro           !: Number of barotropic iterations during one baroclinic step (rdt)
-   REAL(wp), PUBLIC :: rn_bt_cmax        !: Maximum allowed courant number (used if ln_bt_auto=T)
+   LOGICAL,  PUBLIC :: ln_bt_fw         !: Forward integration of barotropic sub-stepping
+   LOGICAL,  PUBLIC :: ln_bt_av         !: Time averaging of barotropic variables
+   LOGICAL,  PUBLIC :: ln_bt_auto       !: Set number of barotropic iterations automatically
+   INTEGER,  PUBLIC :: nn_bt_flt        !: Filter choice
+   INTEGER,  PUBLIC :: nn_baro          !: Number of barotropic iterations during one baroclinic step (rdt)
+   REAL(wp), PUBLIC :: rn_bt_cmax       !: Maximum allowed courant number (used if ln_bt_auto=T)
 
    !! Vertical grid parameter for domzgr
    !! ==================================
-   REAL(wp)      ::   ppsur              !: ORCA r4, r2 and r05 coefficients
-   REAL(wp)      ::   ppa0               !: (default coefficients)
-   REAL(wp)      ::   ppa1               !:
-   REAL(wp)      ::   ppkth              !:
-   REAL(wp)      ::   ppacr              !:
+   REAL(wp)      ::   ppsur             !: ORCA r4, r2 and r05 coefficients
+   REAL(wp)      ::   ppa0              !: (default coefficients)
+   REAL(wp)      ::   ppa1              !:
+   REAL(wp)      ::   ppkth             !:
+   REAL(wp)      ::   ppacr             !:
    !
    !  If both ppa0 ppa1 and ppsur are specified to 0, then
    !  they are computed from ppdzmin, pphmax , ppkth, ppacr in dom_zgr
-   REAL(wp)      ::   ppdzmin            !: Minimum vertical spacing
-   REAL(wp)      ::   pphmax             !: Maximum depth
+   REAL(wp)      ::   ppdzmin           !: Minimum vertical spacing
+   REAL(wp)      ::   pphmax            !: Maximum depth
    !
-   LOGICAL       ::   ldbletanh          !: Use/do not use double tanf function for vertical coordinates
-   REAL(wp)      ::   ppa2               !: Double tanh function parameters
-   REAL(wp)      ::   ppkth2             !:
-   REAL(wp)      ::   ppacr2             !:
-
-   !                                    !! old non-DOCTOR names still used in the model
-   INTEGER , PUBLIC ::   ntopo           !: = 0/1 ,compute/read the bathymetry file
-   REAL(wp), PUBLIC ::   e3zps_min       !: miminum thickness for partial steps (meters)
-   REAL(wp), PUBLIC ::   e3zps_rat       !: minimum thickness ration for partial steps
-   INTEGER , PUBLIC ::   nmsh            !: = 1 create a mesh-mask file
-   REAL(wp), PUBLIC ::   atfp            !: asselin time filter parameter
-   REAL(wp), PUBLIC ::   rdt             !: time step for the dynamics and tracer
-
-   !                                                  !!! associated variables
-   INTEGER , PUBLIC ::   neuler        !: restart euler forward option (0=Euler)
-   REAL(wp), PUBLIC ::   atfp1         !: asselin time filter coeff. (atfp1= 1-2*atfp)
-   REAL(wp), PUBLIC ::   r2dt          !: = 2*rdt except at nit000 (=rdt) if neuler=0
+   LOGICAL       ::   ldbletanh         !: Use/do not use double tanf function for vertical coordinates
+   REAL(wp)      ::   ppa2              !: Double tanh function parameters
+   REAL(wp)      ::   ppkth2            !:
+   REAL(wp)      ::   ppacr2            !:
+
+   !                                   !! old non-DOCTOR names still used in the model
+   INTEGER , PUBLIC ::   ntopo          !: = 0/1 ,compute/read the bathymetry file
+   REAL(wp), PUBLIC ::   e3zps_min      !: miminum thickness for partial steps (meters)
+   REAL(wp), PUBLIC ::   e3zps_rat      !: minimum thickness ration for partial steps
+   INTEGER , PUBLIC ::   nmsh           !: = 1 create a mesh-mask file
+   REAL(wp), PUBLIC ::   atfp           !: asselin time filter parameter
+   REAL(wp), PUBLIC ::   rdt            !: time step for the dynamics and tracer
+
+   !                                   !!! associated variables
+   INTEGER , PUBLIC ::   neuler         !: restart euler forward option (0=Euler)
+   REAL(wp), PUBLIC ::   r2dt           !: = 2*rdt except at nit000 (=rdt) if neuler=0
 
    !!----------------------------------------------------------------------
    !! space domain parameters
    !!----------------------------------------------------------------------
-   !                                     !!! domain parameters linked to mpp
-   INTEGER, PUBLIC ::   nperio            !: type of lateral boundary condition
-   INTEGER, PUBLIC ::   nimpp, njmpp      !: i- & j-indexes for mpp-subdomain left bottom
-   INTEGER, PUBLIC ::   nreci, nrecj      !: overlap region in i and j
-   INTEGER, PUBLIC ::   nproc             !: number for local processor
-   INTEGER, PUBLIC ::   narea             !: number for local area
-   INTEGER, PUBLIC ::   nbondi, nbondj    !: mark of i- and j-direction local boundaries
+   INTEGER, PUBLIC ::   jperio   !: Global domain lateral boundary type (between 0 and 6)
+   !                                !  = 0 closed                 ;   = 1 cyclic East-West
+   !                                !  = 2 equatorial symmetric   ;   = 3 North fold T-point pivot
+   !                                !  = 4 cyclic East-West AND North fold T-point pivot
+   !                                !  = 5 North fold F-point pivot
+   !                                !  = 6 cyclic East-West AND North fold F-point pivot
+   INTEGER, PUBLIC ::   nperio   !: Local domain lateral boundary type (deduced from jperio and MPP decomposition)
+
+   !                                 !  domain MPP decomposition parameters
+   INTEGER             , PUBLIC ::   nimpp, njmpp     !: i- & j-indexes for mpp-subdomain left bottom
+   INTEGER             , PUBLIC ::   nreci, nrecj     !: overlap region in i and j
+   INTEGER             , PUBLIC ::   nproc            !: number for local processor
+   INTEGER             , PUBLIC ::   narea            !: number for local area
+   INTEGER             , PUBLIC ::   nbondi, nbondj   !: mark of i- and j-direction local boundaries
    INTEGER, ALLOCATABLE, PUBLIC ::   nbondi_bdy(:)    !: mark i-direction local boundaries for BDY open boundaries
    INTEGER, ALLOCATABLE, PUBLIC ::   nbondj_bdy(:)    !: mark j-direction local boundaries for BDY open boundaries
@@ -131,6 +137,6 @@
    !! horizontal curvilinear coordinate and scale factors
    !! ---------------------------------------------------------------------
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   glamt , glamu, glamv , glamf    !: longitude at t, u, v, f-points [degree]
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   gphit , gphiu, gphiv , gphif    !: latitude  at t, u, v, f-points [degree]
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE        , DIMENSION(:,:) ::   glamt , glamu, glamv , glamf    !: longitude at t, u, v, f-points [degree]
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE        , DIMENSION(:,:) ::   gphit , gphiu, gphiv , gphif    !: latitude  at t, u, v, f-points [degree]
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, TARGET, DIMENSION(:,:) ::   e1t   , e2t  , r1_e1t, r1_e2t   !: t-point horizontal scale factors    [m]
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, TARGET, DIMENSION(:,:) ::   e1u   , e2u  , r1_e1u, r1_e2u   !: horizontal scale factors at u-point [m]
@@ -138,10 +144,10 @@
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, TARGET, DIMENSION(:,:) ::   e1f   , e2f  , r1_e1f, r1_e2f   !: horizontal scale factors at f-point [m]
    !
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   e1e2t , r1_e1e2t                !: associated metrics at t-point
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   e1e2u , r1_e1e2u , e2_e1u       !: associated metrics at u-point
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   e1e2v , r1_e1e2v , e1_e2v       !: associated metrics at v-point
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   e1e2f , r1_e1e2f                !: associated metrics at f-point
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE        , DIMENSION(:,:) ::   e1e2t , r1_e1e2t                !: associated metrics at t-point
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE        , DIMENSION(:,:) ::   e1e2u , r1_e1e2u , e2_e1u       !: associated metrics at u-point
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE        , DIMENSION(:,:) ::   e1e2v , r1_e1e2v , e1_e2v       !: associated metrics at v-point
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE        , DIMENSION(:,:) ::   e1e2f , r1_e1e2f                !: associated metrics at f-point
    !
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   ff_f, ff_t                      !: coriolis factor at f- and t-point         [1/s]
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE        , DIMENSION(:,:) ::   ff_f, ff_t                      !: coriolis factor at f- and t-point         [1/s]
 
    !!----------------------------------------------------------------------
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/domain.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/domain.F90	(revision 6621)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/domain.F90	(revision 6624)
@@ -17,8 +17,9 @@
    
    !!----------------------------------------------------------------------
-   !!   dom_init       : initialize the space and time domain
-   !!   dom_nam        : read and contral domain namelists
-   !!   dom_ctl        : control print for the ocean domain
-   !!   dom_stiff      : diagnose maximum grid stiffness/hydrostatic consistency (s-coordinate)
+   !!   dom_init      : initialize the space and time domain
+   !!   dom_nam       : read and contral domain namelists
+   !!   dom_ctl       : control print for the ocean domain
+   !!   dom_stiff     : diagnose maximum grid stiffness/hydrostatic consistency (s-coordinate)
+   !!   cfg_wri       : create the "domain_cfg.nc" file containing all required configuration information   
    !!----------------------------------------------------------------------
    USE oce             ! ocean variables
@@ -29,5 +30,4 @@
    USE domhgr          ! domain: set the horizontal mesh
    USE domzgr          ! domain: set the vertical mesh
-   USE domstp          ! domain: set the time-step
    USE dommsk          ! domain: set the mask system
    USE domwri          ! domain: write the meshmask file
@@ -37,7 +37,8 @@
    !
    USE in_out_manager  ! I/O manager
+   USE iom             ! I/O library
+   USE lbclnk          ! ocean lateral boundary condition (or mpp link)
+   USE lib_mpp         ! distributed memory computing library
    USE wrk_nemo        ! Memory Allocation
-   USE lib_mpp         ! distributed memory computing library
-   USE lbclnk          ! ocean lateral boundary condition (or mpp link)
    USE timing          ! Timing
 
@@ -66,5 +67,4 @@
       !!                         and scale factors, and the coriolis factor
       !!              - dom_zgr: define the vertical coordinate and the bathymetry
-      !!              - dom_stp: defined the model time step
       !!              - dom_wri: create the meshmask file if nmsh=1
       !!              - 1D configuration, move Coriolis, u and v at T-point
@@ -72,4 +72,5 @@
       INTEGER ::   jk          ! dummy loop indices
       INTEGER ::   iconf = 0   ! local integers
+      CHARACTER (len=64) ::   cform = "(A12, 3(A13, I7) )" 
       REAL(wp), POINTER, DIMENSION(:,:) ::   z1_hu_0, z1_hv_0
       !!----------------------------------------------------------------------
@@ -83,4 +84,21 @@
       ENDIF
       !
+      ! Ocean domain Parameters (control print)
+      ! -----------------------
+      IF(lwp) THEN
+         WRITE(numout,*)     '   Domain info'
+         WRITE(numout,*)     '      dimension of model'
+         WRITE(numout,*)     '             Local domain      Global domain       Data domain '
+         WRITE(numout,cform) '        ','   jpi     : ', jpi, '   jpiglo  : ', jpiglo, '   jpidta  : ', jpidta
+         WRITE(numout,cform) '        ','   jpj     : ', jpj, '   jpjglo  : ', jpjglo, '   jpjdta  : ', jpjdta
+         WRITE(numout,cform) '        ','   jpk     : ', jpk, '   jpkglo  : ', jpkglo, '   jpkdta  : ', jpkdta
+         WRITE(numout,cform) '       ' ,'   jpij    : ', jpij
+         WRITE(numout,*)     '      mpp local domain info (mpp)'
+         WRITE(numout,*)     '              jpni    : ', jpni, '   jpreci  : ', jpreci
+         WRITE(numout,*)     '              jpnj    : ', jpnj, '   jprecj  : ', jprecj
+         WRITE(numout,*)     '              jpnij   : ', jpnij
+         WRITE(numout,*)     '      lateral boundary of the Global domain : jperio  = ', jperio
+      ENDIF
+
       !                       !==  Reference coordinate system  ==!
       !
@@ -90,4 +108,5 @@
                      CALL dom_zgr               ! Vertical mesh and bathymetry
                      CALL dom_msk               ! Masks
+                     !
       IF( ln_sco )   CALL dom_stiff             ! Maximum stiffness ratio/hydrostatic consistency
       !
@@ -139,8 +158,16 @@
       IF( lk_c1d         )   CALL cor_c1d       ! 1D configuration: Coriolis set at T-point
       !
-                             CALL dom_stp       ! time step
-      IF( nmsh /= 0 .AND. .NOT. ln_iscpl )                         CALL dom_wri      ! Create a domain file
-      IF( nmsh /= 0 .AND.       ln_iscpl .AND. .NOT. ln_rstart )   CALL dom_wri      ! Create a domain file
+      IF( nmsh > 0 .AND. .NOT. ln_iscpl )                         CALL dom_wri      ! Create a domain file
+      IF( nmsh > 0 .AND.       ln_iscpl .AND. .NOT. ln_rstart )   CALL dom_wri      ! Create a domain file
       IF( .NOT.ln_rstart )   CALL dom_ctl       ! Domain control
+      !
+      
+      IF(lwp) THEN
+         WRITE(numout,*)
+         WRITE(numout,*) 'dom_init : end of domain initialization nmsh=', nmsh
+         WRITE(numout,*) 
+      ENDIF
+      !
+      IF( nmsh == -1 )   CALL cfg_wri           ! create the configuration file
       !
       IF( nn_timing == 1 )   CALL timing_stop('dom_init')
@@ -307,4 +334,6 @@
          WRITE(numout,*) '                                      ppacr2            = ', ppacr2
       ENDIF
+      
+      call flush( numout )
       !
       ntopo     = nn_bathy          ! conversion DOCTOR names into model names (this should disappear soon)
@@ -344,4 +373,7 @@
       snc4set%luse = .FALSE.        ! No NetCDF 4 case
 #endif
+
+      call flush( numout )
+
       !
    END SUBROUTINE dom_nam
@@ -410,5 +442,5 @@
       !!                Haney, R. L., 1991: On the pressure gradient force
       !!                over steep topography in sigma coordinate ocean models. 
-      !!                J. Phys. Oceanogr., 21, 610???619.
+      !!                J. Phys. Oceanogr., 21, 610-619.
       !!----------------------------------------------------------------------
       INTEGER  ::   ji, jj, jk 
@@ -458,4 +490,155 @@
    END SUBROUTINE dom_stiff
 
+
+   SUBROUTINE cfg_wri
+      !!----------------------------------------------------------------------
+      !!                  ***  ROUTINE cfg_wri  ***
+      !!                   
+      !! ** Purpose :   Create the NetCDF file(s) which contain(s) all the
+      !!      ocean domain informations (mesh and mask arrays). This (these)
+      !!      file(s) is (are) used for visualisation (SAXO software) and
+      !!      diagnostic computation.
+      !!
+      !! ** Method  :   Write in a file all the arrays generated in routines
+      !!      domhgr, domzgr, and dommsk. Note: the file contain depends on
+      !!      the vertical coord. used (z-coord, partial steps, s-coord)
+      !!            MOD(nmsh, 3) = 1  :   'mesh_mask.nc' file
+      !!                         = 2  :   'mesh.nc' and mask.nc' files
+      !!                         = 0  :   'mesh_hgr.nc', 'mesh_zgr.nc' and
+      !!                                  'mask.nc' files
+      !!      For huge size domain, use option 2 or 3 depending on your 
+      !!      vertical coordinate.
+      !!
+      !!      if     nmsh <= 3: write full 3D arrays for e3[tuvw] and gdep[tuvw]
+      !!      if 3 < nmsh <= 6: write full 3D arrays for e3[tuvw] and 2D arrays 
+      !!                        corresponding to the depth of the bottom t- and w-points
+      !!      if 6 < nmsh <= 9: write 2D arrays corresponding to the depth and the
+      !!                        thickness (e3[tw]_ps) of the bottom points 
+      !!
+      !! ** output file :   meshmask.nc  : domain size, horizontal grid-point position,
+      !!                                   masks, depth and vertical scale factors
+      !!----------------------------------------------------------------------
+      INTEGER           ::   ji, jj, jk   ! dummy loop indices
+      INTEGER           ::   izco, izps, isco, icav
+      INTEGER           ::   inum     ! temprary units for 'domain_cfg.nc' file
+      CHARACTER(len=21) ::   clnam    ! filename (mesh and mask informations)
+      !!----------------------------------------------------------------------
+      !
+      IF(lwp) WRITE(numout,*)
+      IF(lwp) WRITE(numout,*) 'cfg_wri : create the "domain_cfg.nc" file containing all required configuration information'
+      IF(lwp) WRITE(numout,*) '~~~~~~~'
+      !
+      !                       ! ============================= !
+      !                       !  create 'domain_cfg.nc' file  !
+      !                       ! ============================= !
+      !         
+      clnam = 'domain_cfg'  ! filename (configuration information)
+      CALL iom_open( TRIM(clnam), inum, ldwrt = .TRUE., kiolib = jprstlib )
+      
+      !                             !==  global domain size  ==!
+      CALL iom_rstput( 0, 0, inum, 'jpiglo', REAL( jpiglo, wp), ktype = jp_i4 )
+      CALL iom_rstput( 0, 0, inum, 'jpjglo', REAL( jpjglo, wp), ktype = jp_i4 )
+      CALL iom_rstput( 0, 0, inum, 'jpkglo', REAL( jpk   , wp), ktype = jp_i4 )
+      
+      !                             !==  domain characteristics  ==!
+      !                                   ! lateral boundary of the global domain
+      CALL iom_rstput( 0, 0, inum, 'jperio', REAL( jperio, wp), ktype = jp_i4 )
+      !                                   ! type of vertical coordinate
+      IF( ln_zco    ) THEN   ;   izco = 1   ;   ELSE   ;   izco = 0   ;   ENDIF
+      IF( ln_zps    ) THEN   ;   izps = 1   ;   ELSE   ;   izps = 0   ;   ENDIF
+      IF( ln_sco    ) THEN   ;   isco = 1   ;   ELSE   ;   isco = 0   ;   ENDIF
+      CALL iom_rstput( 0, 0, inum, 'ln_zco'   , REAL( izco, wp), ktype = jp_i4 )
+      CALL iom_rstput( 0, 0, inum, 'ln_zps'   , REAL( izps, wp), ktype = jp_i4 )
+      CALL iom_rstput( 0, 0, inum, 'ln_sco'   , REAL( isco, wp), ktype = jp_i4 )
+      !                                   ! ocean cavities under iceshelves
+      IF( ln_isfcav ) THEN   ;   icav = 1   ;   ELSE   ;   icav = 0   ;   ENDIF
+      CALL iom_rstput( 0, 0, inum, 'ln_isfcav', REAL( icav, wp), ktype = jp_i4 )
+
+      !                             !==  horizontal mesh  !
+      !
+      CALL iom_rstput( 0, 0, inum, 'glamt', glamt, ktype = jp_r8 )   ! latitude
+      CALL iom_rstput( 0, 0, inum, 'glamu', glamu, ktype = jp_r8 )
+      CALL iom_rstput( 0, 0, inum, 'glamv', glamv, ktype = jp_r8 )
+      CALL iom_rstput( 0, 0, inum, 'glamf', glamf, ktype = jp_r8 )
+      !                                
+      CALL iom_rstput( 0, 0, inum, 'gphit', gphit, ktype = jp_r8 )   ! longitude
+      CALL iom_rstput( 0, 0, inum, 'gphiu', gphiu, ktype = jp_r8 )
+      CALL iom_rstput( 0, 0, inum, 'gphiv', gphiv, ktype = jp_r8 )
+      CALL iom_rstput( 0, 0, inum, 'gphif', gphif, ktype = jp_r8 )
+      !                                
+      CALL iom_rstput( 0, 0, inum, 'e1t'  , e1t  , ktype = jp_r8 )   ! i-scale factors (e1.)
+      CALL iom_rstput( 0, 0, inum, 'e1u'  , e1u  , ktype = jp_r8 )
+      CALL iom_rstput( 0, 0, inum, 'e1v'  , e1v  , ktype = jp_r8 )
+      CALL iom_rstput( 0, 0, inum, 'e1f'  , e1f  , ktype = jp_r8 )
+      !
+      CALL iom_rstput( 0, 0, inum, 'e2t'  , e2t  , ktype = jp_r8 )   ! j-scale factors (e2.)
+      CALL iom_rstput( 0, 0, inum, 'e2u'  , e2u  , ktype = jp_r8 )
+      CALL iom_rstput( 0, 0, inum, 'e2v'  , e2v  , ktype = jp_r8 )
+      CALL iom_rstput( 0, 0, inum, 'e2f'  , e2f  , ktype = jp_r8 )
+      !
+      CALL iom_rstput( 0, 0, inum, 'ff_f' , ff_f , ktype = jp_r8 )   ! coriolis factor
+      CALL iom_rstput( 0, 0, inum, 'ff_t' , ff_t , ktype = jp_r8 )
+
+      
+      !                             !==  vertical mesh - 3D mask  ==!
+      !                                                     
+      CALL iom_rstput( 0, 0, inum, 'gdept_1d', gdept_1d, ktype = jp_r8 )   ! reference 1D-coordinate
+      CALL iom_rstput( 0, 0, inum, 'gdepw_1d', gdepw_1d, ktype = jp_r8 )
+      CALL iom_rstput( 0, 0, inum, 'e3t_1d'  , e3t_1d  , ktype = jp_r8 )
+      CALL iom_rstput( 0, 0, inum, 'e3w_1d'  , e3w_1d  , ktype = jp_r8 )
+      !                                                     
+      CALL iom_rstput( 0, 0, inum, 'gdept_0' , gdept_0 , ktype = jp_r8 )   ! depth (t- & w-points)
+      CALL iom_rstput( 0, 0, inum, 'gdepw_0' , gdepw_0 , ktype = jp_r8 )
+      !
+      CALL iom_rstput( 0, 0, inum, 'e3t_0'   , e3t_0   , ktype = jp_r8 )   ! vertical scale factors (e
+      CALL iom_rstput( 0, 0, inum, 'e3u_0'   , e3u_0   , ktype = jp_r8 )
+      CALL iom_rstput( 0, 0, inum, 'e3v_0'   , e3v_0   , ktype = jp_r8 )
+      CALL iom_rstput( 0, 0, inum, 'e3w_0'   , e3w_0   , ktype = jp_r8 )
+      !                                   
+      CALL iom_rstput( 0, 0, inum, 'tmask'   , tmask   , ktype = jp_i1 )   ! masks (in bytes)
+      CALL iom_rstput( 0, 0, inum, 'umask'   , umask   , ktype = jp_i1 )
+      CALL iom_rstput( 0, 0, inum, 'vmask'   , vmask   , ktype = jp_i1 )
+      CALL iom_rstput( 0, 0, inum, 'fmask'   , fmask   , ktype = jp_i1 )
+      
+!!gm  Probably not required fields :
+      CALL iom_rstput( 0, 0, inum, 'bathy'  ,       bathy         , ktype = jp_r8 )   ! depth of the ocean at T-points
+      CALL iom_rstput( 0, 0, inum, 'mbathy' , REAL( mbathy , wp ) , ktype = jp_i4 )   ! nb of ocean T-points
+      CALL iom_rstput( 0, 0, inum, 'mbkt'   , REAL( mbkt   , wp ) , ktype = jp_i4 )   ! nb of ocean T-points
+
+      !
+      CALL iom_rstput( 0, 0, inum, 'bathy'  ,       risfdep       , ktype = jp_r8 )   ! depth of the iceshelves at T-points
+      CALL iom_rstput( 0, 0, inum, 'misfdep', REAL( misfdep, wp ) , ktype = jp_i4 )   ! nb of ocean T-points (ISF)
+
+!!gm end
+
+!!gm ?
+!         CALL iom_rstput( 0, 0, inum, 'hbatt', hbatt )
+!         CALL iom_rstput( 0, 0, inum, 'hbatu', hbatu )
+!         CALL iom_rstput( 0, 0, inum, 'hbatv', hbatv )
+!         CALL iom_rstput( 0, 0, inum, 'hbatf', hbatf )
+!!gm ?
+!!gm ?
+!      CALL iom_rstput( 0, 0, inum, 'rx1'  , rx1   )         ! Max. grid stiffness ratio
+!!gm ?
+         !
+!         DO jk = 1,jpk   
+!            DO jj = 1, jpjm1   
+!               DO ji = 1, fs_jpim1   ! vector opt.
+!                  zdepu(ji,jj,jk) = MIN( gdept_0(ji,jj,jk) , gdept_0(ji+1,jj  ,jk) )
+!                  zdepv(ji,jj,jk) = MIN( gdept_0(ji,jj,jk) , gdept_0(ji  ,jj+1,jk) )
+!               END DO
+!            END DO
+!         END DO
+!         CALL lbc_lnk( zdepu, 'U', 1. )   ;   CALL lbc_lnk( zdepv, 'V', 1. )
+!         CALL iom_rstput( 0, 0, inum, 'gdepu'  , zdepu  , ktype = jp_r8 )
+!         CALL iom_rstput( 0, 0, inum, 'gdepv'  , zdepv  , ktype = jp_r8 )
+            
+      !                                ! ============================
+      !                                !        close the files 
+      !                                ! ============================
+      CALL iom_close( inum )
+      !
+   END SUBROUTINE cfg_wri
+
    !!======================================================================
 END MODULE domain
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/domhgr.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/domhgr.F90	(revision 6621)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/domhgr.F90	(revision 6624)
@@ -120,5 +120,9 @@
          ff_t(:,:) = 2. * omega * SIN( rad * gphit(:,:) )     !    -        -       -    at t-point
       ELSE
-         IF(lwp) WRITE(numout,*) '          Coriolis parameter have been read in "mesh_mask" file'
+         IF( ln_read_cfg ) THEN
+            IF(lwp) WRITE(numout,*) '          Coriolis parameter have been read in "mesh_mask" file'
+         ELSE
+            IF(lwp) WRITE(numout,*) '          Coriolis parameter have been set in usr_def_hgr routine'
+         ENDIF
       ENDIF
       !
@@ -152,10 +156,10 @@
 
 
-   SUBROUTINE hgr_read( plamt , plamu , plamv  , plamf  ,     &    ! gridpoints position (required)
-      &                 pphit , pphiu , pphiv  , pphif  ,     &     
-      &                 kff   , pff_f , pff_t  ,              &    ! Coriolis parameter  (if not on the sphere)
-      &                 pe1t  , pe1u  , pe1v   , pe1f   ,     &    ! scale factors       (required)
-      &                 pe2t  , pe2u  , pe2v   , pe2f   ,     &
-      &                 ke1e2u_v      , pe2_e1u, pe1_e2v   )       ! u- & v-surfaces (if gridsize reduction in some straits)
+   SUBROUTINE hgr_read( plamt , plamu , plamv  , plamf  ,   &    ! gridpoints position (required)
+      &                 pphit , pphiu , pphiv  , pphif  ,   &     
+      &                 kff   , pff_f , pff_t  ,            &    ! Coriolis parameter  (if not on the sphere)
+      &                 pe1t  , pe1u  , pe1v   , pe1f   ,   &    ! scale factors       (required)
+      &                 pe2t  , pe2u  , pe2v   , pe2f   ,   &
+      &                 ke1e2u_v      , pe2_e1u, pe1_e2v    )    ! u- & v-surfaces (if gridsize reduction in some straits)
       !!---------------------------------------------------------------------
       !!              ***  ROUTINE hgr_read  ***
@@ -174,5 +178,4 @@
       !
       INTEGER  ::   inum                  ! logical unit
-      REAL(wp) ::   ziglo, zjglo, zkglo   ! domain size
       !!----------------------------------------------------------------------
       !
@@ -183,11 +186,5 @@
       ENDIF
       !
-      CALL iom_open( 'mesh_mask', inum )
-      !
-      CALL iom_get( inum, 'jpiglo', ziglo )
-      CALL iom_get( inum, 'jpjglo', zjglo )
-      CALL iom_get( inum, 'jpkglo', zkglo )
-      WRITE(numout,*) ' read size read: i,j,k = ', INT(ziglo), INT(zjglo), INT(zkglo)
-
+      CALL iom_open( 'domain_cfg', inum )
       !
       CALL iom_get( inum, jpdom_data, 'glamt', plamt, lrowattr=ln_use_jattr )
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/domstp.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/domstp.F90	(revision 6621)
+++ 	(revision )
@@ -1,71 +1,0 @@
-MODULE domstp
-   !!==============================================================================
-   !!                       ***  MODULE domstp   ***
-   !! Ocean initialization : time domain
-   !!==============================================================================
-
-   !!----------------------------------------------------------------------
-   !!   dom_stp        : ocean time domain initialization
-   !!----------------------------------------------------------------------
-   !! History :  OPA  ! 1990-10  (O. Marti)  Original code
-   !!                 ! 1996-01  (G. Madec)  terrain following coordinates
-   !!   NEMO     1.0  ! 2002-08  (G. Madec)  F90: Free form and module
-   !!----------------------------------------------------------------------
-   USE oce            ! ocean dynamics and tracers
-   USE dom_oce        ! ocean space and time domain
-   USE in_out_manager ! I/O manager
-   USE lib_mpp        ! MPP library
-
-   IMPLICIT NONE
-   PRIVATE
-
-   PUBLIC   dom_stp   ! routine called by inidom.F90
-
-   !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
-   !! $Id$ 
-   !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
-   !!----------------------------------------------------------------------
-CONTAINS
-
-   SUBROUTINE dom_stp
-      !!----------------------------------------------------------------------
-      !!                    ***  ROUTINE dom_stp  ***
-      !!          
-      !! ** Purpose :   Intialize ocean time step for the run
-      !!
-      !! ** Method  : - Initialization of a coef. use in the Asselin time
-      !!      filter:  atfp1 = 1 - 2 * atfp  where atfp is the Asselin time
-      !!      filter parameter read in namelist
-      !!              - Model time step:
-      !!                synchronous time intergration.
-      !!      There is one time step only, defined by: rdt for dynamics and
-      !!      tracer,wind stress, surface heat and salt fluxes
-      !!
-      !! ** Action  : [REMOVED - rdttra: vertical profile of tracer time step]
-      !!              - atfp1    : = 1 - 2*atfp
-      !!
-      !! References :   Bryan, K., 1984, J. Phys. Oceanogr., 14, 666-673.
-      !!----------------------------------------------------------------------
-      INTEGER ::   jk              ! dummy loop indice
-      !!----------------------------------------------------------------------
-
-      IF(lwp) THEN
-         WRITE(numout,*)
-         WRITE(numout,*) 'dom_stp : time stepping setting'
-         WRITE(numout,*) '~~~~~~~'
-      ENDIF
-
-      ! 0. Asselin Time filter
-      ! ----------------------
-      
-      atfp1 = 1. - 2. * atfp
-
-      IF(lwp) WRITE(numout,*)'               synchronous time stepping'
-      IF(lwp) WRITE(numout,*)'               dynamics and tracer time step = ', rdt/3600., ' hours'
-
-
-   END SUBROUTINE dom_stp
-
-   !!======================================================================
-END MODULE domstp
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/domvvl.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/domvvl.F90	(revision 6621)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/domvvl.F90	(revision 6624)
@@ -896,5 +896,5 @@
                tilde_e3t_b(:,:,:) = 0.0_wp
                tilde_e3t_n(:,:,:) = 0.0_wp
-               IF( ln_vvl_ztilde ) hdiv_lf(:,:,:) = 0.0_wp
+               IF( ln_vvl_ztilde ) hdiv_lf(:,:,:) = 0._wp
             END IF
          ENDIF
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/domwri.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/domwri.F90	(revision 6621)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/domwri.F90	(revision 6624)
@@ -27,4 +27,5 @@
    PUBLIC   dom_wri              ! routine called by inidom.F90
    PUBLIC   dom_wri_coordinate   ! routine called by domhgr.F90
+   
    !! * Substitutions
 #  include "vectopt_loop_substitute.h90"
@@ -140,4 +141,5 @@
       CHARACTER(len=21) ::   clnam4   ! filename (vertical   mesh informations)
       INTEGER           ::   ji, jj, jk   ! dummy loop indices
+      INTEGER           ::   izco, izps, isco, icav
       !                                   !  workspaces
       REAL(wp), POINTER, DIMENSION(:,:  ) :: zprt, zprw 
@@ -193,7 +195,17 @@
       CALL iom_rstput( 0, 0, inum2, 'jpkglo', REAL( jpk   , wp), ktype = jp_i4 )
 
-
-
-
+      !                                                         ! domain characteristics
+      CALL iom_rstput( 0, 0, inum2, 'jperio', REAL( jperio, wp), ktype = jp_i4 )
+      !                                                         ! type of vertical coordinate
+      IF( ln_zco    ) THEN   ;   izco = 1   ;   ELSE   ;   izco = 0   ;   ENDIF
+      IF( ln_zps    ) THEN   ;   izps = 1   ;   ELSE   ;   izps = 0   ;   ENDIF
+      IF( ln_sco    ) THEN   ;   isco = 1   ;   ELSE   ;   isco = 0   ;   ENDIF
+      CALL iom_rstput( 0, 0, inum, 'ln_zco'   , REAL( izco, wp), ktype = jp_i4 )
+      CALL iom_rstput( 0, 0, inum, 'ln_zps'   , REAL( izps, wp), ktype = jp_i4 )
+      CALL iom_rstput( 0, 0, inum, 'ln_sco'   , REAL( isco, wp), ktype = jp_i4 )
+      !                                                         ! ocean cavities under iceshelves
+      IF( ln_isfcav ) THEN   ;   icav = 1   ;   ELSE   ;   icav = 0   ;   ENDIF
+      CALL iom_rstput( 0, 0, inum, 'ln_isfcav', REAL( icav, wp), ktype = jp_i4 )
+  
       !                                                         ! masks (inum2) 
       CALL iom_rstput( 0, 0, inum2, 'tmask', tmask, ktype = jp_i1 )     !    ! land-sea mask
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/domzgr.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/domzgr.F90	(revision 6621)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/domzgr.F90	(revision 6624)
@@ -23,4 +23,5 @@
    !!----------------------------------------------------------------------
    !!   dom_zgr          : defined the ocean vertical coordinate system
+   !!       zgr_read     : read the vertical domain coordinate and mask in domain_cfg file
    !!       zgr_bat      : bathymetry fields (levels and meters)
    !!       zgr_bat_ctl  : check the bathymetry files
@@ -177,4 +178,84 @@
       !
    END SUBROUTINE dom_zgr
+
+
+   SUBROUTINE zgr_read( pdept_1d, pdepw_1d, pe3t_1d , pe3w_1d ,    &
+      &                 pdept , pdepw ,              &    ! gridpoints depth (required)
+      &                 pe3t  , pe3u  , pe3v   , pe3w ,   &    ! scale factors       (required)
+      &                 ptmask , pumask , pvmask , pfmask,   &
+      &                 pbathy , prisfdep,    &
+      &                 kbathy, kbkt, kisfdep    )
+!      &                 pe3f  , pe3uw , pe3vw             )    ! u- & v-surfaces (if gridsize reduction in some straits)
+      !!---------------------------------------------------------------------
+      !!              ***  ROUTINE zgr_read  ***
+      !!
+      !! ** Purpose :   Read the vertical information in a domain_cfg.nc file
+      !!
+      !!----------------------------------------------------------------------
+      REAL(wp), DIMENSION(:,:,:), INTENT(out) ::   pdept_1d, pdepw_1d          ! 1D grid-point depth     [m]
+      REAL(wp), DIMENSION(:,:,:), INTENT(out) ::   pe3t_1d , pe3w_1d           ! 1D grid-point depth     [m]
+      REAL(wp), DIMENSION(:,:,:), INTENT(out) ::   pdept, pdepw   !, pde3w         ! grid-point depth        [m]
+      REAL(wp), DIMENSION(:,:,:), INTENT(out) ::   pe3t , pe3u , pe3v , pe3w   ! vertical scale factors  [m]
+!      REAL(wp), DIMENSION(:,:,:), INTENT(out) ::   pe3f , pe3uw, pe3vw         ! i-scale factors 
+      REAL(wp), DIMENSION(:,:,:), INTENT(out) ::   ptmask , pumask , pvmask , pfmask   ! masks  [-]
+      REAL(wp), DIMENSION(:,:)  , INTENT(out) ::   pbathy , prisfdep   ! bathymetry, iceshelf depth  [m]
+      INTEGER , DIMENSION(:,:)  , INTENT(out) ::   kbathy, kbkt, kisfdep   ! bathymetry, iceshelf depth  [m]
+      !
+      INTEGER  ::   inum   ! local logical unit
+      REAL(wp), DIMENSION(jpi,jpj) ::   z2d   ! 2D workspace
+      !!----------------------------------------------------------------------
+      !
+      IF(lwp) THEN
+         WRITE(numout,*)
+         WRITE(numout,*) 'hgr_read : read the vertical coordinates in mesh_mask'
+         WRITE(numout,*) '~~~~~~~~      jpiglo = ', jpiglo, ' jpjglo = ', jpjglo, ' jpk = ', jpk
+      ENDIF
+      !
+      CALL iom_open( 'mesh_mask', inum )
+      !
+      CALL iom_get( inum, jpdom_unknown, 'gdept_1d', pdept_1d )   ! reference 1D-coordinate
+      CALL iom_get( inum, jpdom_unknown, 'gdepw_1d', pdepw_1d )
+      CALL iom_get( inum, jpdom_unknown, 'e3t_1d'  , pe3t_1d  )
+      CALL iom_get( inum, jpdom_unknown, 'e3w_1d'  , pe3w_1d  )
+      !
+      CALL iom_get( inum, jpdom_data, 'gdept_0', pdept, lrowattr=ln_use_jattr )  ! depth
+      CALL iom_get( inum, jpdom_data, 'gdepw_0', pdepw, lrowattr=ln_use_jattr )
+!      CALL iom_get( inum, jpdom_data, 'gde3w_0', pde3w, lrowattr=ln_use_jattr )
+      !
+      CALL iom_get( inum, jpdom_data, 'e3t_0'  , pe3t , lrowattr=ln_use_jattr )  ! vertical scale factors
+      CALL iom_get( inum, jpdom_data, 'e3u_0'  , pe3u , lrowattr=ln_use_jattr )
+      CALL iom_get( inum, jpdom_data, 'e3v_0'  , pe3v , lrowattr=ln_use_jattr )
+!      CALL iom_get( inum, jpdom_data, 'e3f_0'  , pe3f , lrowattr=ln_use_jattr )
+      CALL iom_get( inum, jpdom_data, 'e3w_0'  , pe3w , lrowattr=ln_use_jattr )
+!      CALL iom_get( inum, jpdom_data, 'e3uw_0' , pe3uw, lrowattr=ln_use_jattr )
+!      CALL iom_get( inum, jpdom_data, 'e3vw_0' , pe3vw, lrowattr=ln_use_jattr )
+
+
+
+
+
+      CALL iom_get( inum, jpdom_data, 'tmask'   , ptmask )   ! masks
+      CALL iom_get( inum, jpdom_data, 'umask'   , pumask )
+      CALL iom_get( inum, jpdom_data, 'vmask'   , pvmask )
+      CALL iom_get( inum, jpdom_data, 'fmask'   , pfmask )
+      
+
+!!gm  Probably not required fields :
+      CALL iom_get( inum, jpdom_data, 'bathy'  , bathy  )   ! depth of the ocean at T-points
+      CALL iom_get( inum, jpdom_data, 'mbathy' , z2d    )  ! nb of ocean T-points
+      kbathy(:,:) = INT( z2d(:,:) )
+      CALL iom_get( inum, jpdom_data, 'mbkt'   , z2d )   ! nb of ocean T-points
+      kbkt(:,:) = INT( z2d(:,:) )
+
+      !
+      CALL iom_get( inum, jpdom_data, 'bathy'  , risfdep )   ! depth of the iceshelves at T-points
+      CALL iom_get( inum, jpdom_data, 'misfdep', z2d     )   ! nb of ocean T-points (ISF)
+      kisfdep(:,:) = INT( z2d(:,:) )
+
+
+      !
+      CALL iom_close( inum )
+      !
+   END SUBROUTINE zgr_read
 
 
@@ -457,6 +538,6 @@
             END DO
          END DO
-         risfdep(:,:)=0.e0
-         misfdep(:,:)=1
+         risfdep(:,:) = 0._wp
+         misfdep(:,:) = 1
          !
          DEALLOCATE( idta, zdta )
@@ -507,6 +588,6 @@
             CALL iom_close( inum )
             !                                                
-            risfdep(:,:)=0._wp         
-            misfdep(:,:)=1             
+            risfdep(:,:) = 0._wp         
+            misfdep(:,:) = 1             
             IF ( ln_isfcav ) THEN
                CALL iom_open ( 'isf_draft_meter.nc', inum ) 
@@ -518,6 +599,6 @@
                ! (a treshold could be set here if needed, or set it offline based on the grounded fraction)
                WHERE ( bathy(:,:) <= risfdep(:,:) + rn_isfhmin )
-                  misfdep(:,:) = 0 ; risfdep(:,:) = 0._wp
-                  mbathy (:,:) = 0 ; bathy  (:,:) = 0._wp
+                  misfdep(:,:) = 0   ;   risfdep(:,:) = 0._wp
+                  mbathy (:,:) = 0   ;   bathy  (:,:) = 0._wp
                END WHERE
             END IF
@@ -1130,5 +1211,5 @@
       END DO 
       WHERE ( 0._wp < risfdep(:,:) .AND. risfdep(:,:) <= e3t_1d(1) )
-         risfdep(:,:) = 0. ; misfdep(:,:) = 1
+         risfdep(:,:) = 0._wp   ;   misfdep(:,:) = 1
       END WHERE
 
@@ -1149,10 +1230,10 @@
          ! check at each iteration if isf is grounded or not (1cm treshold have to be update after first coupling experiments)
          WHERE (bathy(:,:) <= risfdep(:,:) + rn_isfhmin)
-            misfdep(:,:) = 0 ; risfdep(:,:) = 0._wp
-            mbathy (:,:) = 0 ; bathy  (:,:) = 0._wp
+            misfdep(:,:) = 0   ;   risfdep(:,:) = 0._wp
+            mbathy (:,:) = 0   ;   bathy  (:,:) = 0._wp
          END WHERE
          WHERE (mbathy(:,:) <= 0) 
-            misfdep(:,:) = 0; risfdep(:,:) = 0._wp 
-            mbathy (:,:) = 0; bathy  (:,:) = 0._wp
+            misfdep(:,:) = 0   ;   risfdep(:,:) = 0._wp 
+            mbathy (:,:) = 0   ;   bathy  (:,:) = 0._wp
          END WHERE
          IF( lk_mpp ) THEN
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/phycst.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/phycst.F90	(revision 6621)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/phycst.F90	(revision 6624)
@@ -100,32 +100,13 @@
       !!                       ***  ROUTINE phy_cst  ***
       !!
-      !! ** Purpose :   Print model parameters and set and print the constants
-      !!----------------------------------------------------------------------
-      CHARACTER (len=64) ::   cform = "(A12, 3(A13, I7) )" 
+      !! ** Purpose :   set and print the constants
       !!----------------------------------------------------------------------
 
       IF(lwp) WRITE(numout,*)
-      IF(lwp) WRITE(numout,*) ' phy_cst : initialization of ocean parameters and constants'
+      IF(lwp) WRITE(numout,*) ' phy_cst : initialization of physical constants'
       IF(lwp) WRITE(numout,*) ' ~~~~~~~'
 
-      ! Ocean Parameters
-      ! ----------------
-      IF(lwp) THEN
-         WRITE(numout,*) '       Domain info'
-         WRITE(numout,*) '          dimension of model'
-         WRITE(numout,*) '                 Local domain      Global domain       Data domain '
-         WRITE(numout,cform) '            ','   jpi     : ', jpi, '   jpiglo  : ', jpiglo, '   jpidta  : ', jpidta
-         WRITE(numout,cform) '            ','   jpj     : ', jpj, '   jpjglo  : ', jpjglo, '   jpjdta  : ', jpjdta
-         WRITE(numout,cform) '            ','   jpk     : ', jpk, '   jpk     : ', jpk   , '   jpkdta  : ', jpkdta
-         WRITE(numout,*)      '           ','   jpij    : ', jpij
-         WRITE(numout,*) '          mpp local domain info (mpp)'
-         WRITE(numout,*) '             jpni    : ', jpni, '   jpreci  : ', jpreci
-         WRITE(numout,*) '             jpnj    : ', jpnj, '   jprecj  : ', jprecj
-         WRITE(numout,*) '             jpnij   : ', jpnij
-         WRITE(numout,*) '          lateral domain boundary condition type : jperio  = ', jperio
-      ENDIF
-
-      ! Define constants
-      ! ----------------
+      ! Define & print constants
+      ! ------------------------
       IF(lwp) WRITE(numout,*)
       IF(lwp) WRITE(numout,*) '       Constants'
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90	(revision 6621)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90	(revision 6624)
@@ -238,5 +238,5 @@
       INTEGER  ::   ilocal_comm   ! local integer
       INTEGER  ::   ios, inum     !   -      -
-      REAL(wp) ::   ziglo, zjglo, zkglo   ! local scalars
+      REAL(wp) ::   ziglo, zjglo, zkglo, zperio   ! local scalars
       CHARACTER(len=120), DIMENSION(16) ::   cltxt, cltxt2, clnam, clbug
       !
@@ -244,6 +244,5 @@
          &             nn_isplt, nn_jsplt, nn_jctls, nn_jctle,   &
          &             nn_timing, nn_diacfl
-      NAMELIST/namcfg/ ln_read_cfg, cp_cfg, cp_cfz, jp_cfg,   &
-         &             jperio, ln_use_jattr
+      NAMELIST/namcfg/ ln_read_cfg, cp_cfg, jp_cfg, ln_use_jattr
       !!----------------------------------------------------------------------
       !
@@ -284,17 +283,19 @@
 
       !                             !--------------------------!
-      !                             !  Set global domain size  !
+      !                             !  Set global domain size  !   (control print return in cltxt2)
       !                             !--------------------------!
       IF( ln_read_cfg ) THEN              ! Read sizes in configuration "mesh_mask" file
-         CALL iom_open( 'mesh_mask', inum )
-         CALL iom_get( inum, 'jpiglo', ziglo )   ;   jpiglo = INT( ziglo )
-         CALL iom_get( inum, 'jpjglo', zjglo )   ;   jpjglo = INT( zjglo )
-         CALL iom_get( inum, 'jpkglo', zkglo )   ;   jpkglo = INT( zkglo )
+         CALL iom_open( 'domain_cfg', inum )
+         CALL iom_get( inum, 'jpiglo', ziglo  )   ;   jpiglo = INT( ziglo )
+         CALL iom_get( inum, 'jpjglo', zjglo  )   ;   jpjglo = INT( zjglo )
+         CALL iom_get( inum, 'jpkglo', zkglo  )   ;   jpkglo = INT( zkglo )
+         CALL iom_get( inum, 'jperio', zperio )   ;   jperio = INT( zperio )
          CALL iom_close( inum )
          WRITE(cltxt2(1),*)       
-         WRITE(cltxt2(2),*) 'mesh_mask : domain size read in "mesh_mask" file : i,j,k = ', jpiglo, jpjglo, jpk        
-         WRITE(cltxt2(3),*) '~~~~~~~~~'        
-      ELSE                                ! user-defined namelist (control print return in cltxt2)
-         CALL usr_def_nam( cltxt2, clnam, jpiglo, jpjglo, jpkglo )
+         WRITE(cltxt2(2),*) 'domain_cfg : domain size read in "domain_cfg" file : jp(i,j,k)glo = ', jpiglo, jpjglo, jpkglo        
+         WRITE(cltxt2(3),*) '~~~~~~~~~~   lateral boudary type of the global domain      jperio= ', jperio
+         !        
+      ELSE                                ! user-defined namelist
+         CALL usr_def_nam( cltxt2, clnam, jpiglo, jpjglo, jpkglo, jperio )
       ENDIF
       jpk    = jpkglo
@@ -426,5 +427,6 @@
          WRITE(numout,*)
          DO ji = 1, SIZE(cltxt2)
-            IF( TRIM(cltxt2(ji)) /= '' )   WRITE(numout,*) cltxt2(ji)     ! control print of domain size
+!            IF( TRIM(cltxt2(ji)) /= '' )   WRITE(numout,*) cltxt2(ji)     ! control print of domain size
+            IF( cltxt2(ji) /= '' )   WRITE(numout,*) cltxt2(ji)     ! control print of domain size
          END DO
          !
@@ -433,10 +435,6 @@
       ENDIF
 
-      ! Now we know the dimensions of the grid and numout has been set we can
-      ! allocate arrays
+      ! Now we know the dimensions of the grid and numout has been set: we can allocate arrays
       CALL nemo_alloc()
-
-      WRITE(numout,*) ' -after alloc--    nstop', nstop
-
       !                             !-------------------------------!
       !                             !  NEMO general initialization  !
@@ -601,7 +599,5 @@
          WRITE(numout,*) '      read configuration definition files          ln_read_cfg = ', ln_read_cfg
          WRITE(numout,*) '      configuration name                               cp_cfg  = ', TRIM(cp_cfg)
-         WRITE(numout,*) '      configuration zoom name                          cp_cfz  = ', TRIM(cp_cfz)
          WRITE(numout,*) '      configuration resolution                         jp_cfg  = ', jp_cfg
-         WRITE(numout,*) '      lateral cond. type (between 0 and 6)             jperio  = ', jperio   
          WRITE(numout,*) '      use file attribute if exists as i/p j-start ln_use_jattr = ', ln_use_jattr
       ENDIF
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/par_oce.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/par_oce.F90	(revision 6621)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/par_oce.F90	(revision 6624)
@@ -30,5 +30,4 @@
    LOGICAL       ::   ln_read_cfg      !: logical to read all needed files for a configuration
    CHARACTER(lc) ::   cp_cfg           !: name of the configuration
-   CHARACTER(lc) ::   cp_cfz           !: name of the zoom of configuration
    INTEGER       ::   jp_cfg           !: resolution of the configuration
 
@@ -71,12 +70,4 @@
 
 
-   ! Domain characteristics
-   INTEGER       ::   jperio         !: lateral cond. type (between 0 and 6)
-   !                                      !  = 0 closed                 ;   = 1 cyclic East-West
-   !                                      !  = 2 equatorial symmetric   ;   = 3 North fold T-point pivot
-   !                                      !  = 4 cyclic East-West AND North fold T-point pivot
-   !                                      !  = 5 North fold F-point pivot
-   !                                      !  = 6 cyclic East-West AND North fold F-point pivot
-
    ! Input file read offset
    LOGICAL       ::   ln_use_jattr   !: Use file global attribute: open_ocean_jstart to determine start j-row 
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/usrdef.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/usrdef.F90	(revision 6621)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/usrdef.F90	(revision 6624)
@@ -38,5 +38,5 @@
 CONTAINS
 
-   SUBROUTINE usr_def_nam( ldtxt, ldnam, kpi, kpj, kpk )
+   SUBROUTINE usr_def_nam( ldtxt, ldnam, kpi, kpj, kpk, kperio )
       !!----------------------------------------------------------------------
       !!                     ***  ROUTINE dom_nam  ***
@@ -52,4 +52,5 @@
       CHARACTER(len=*), DIMENSION(:), INTENT(out) ::   ldtxt, ldnam    ! stored print information
       INTEGER                       , INTENT(out) ::   kpi, kpj, kpk   ! global domain sizes 
+      INTEGER                       , INTENT(out) ::   kperio          ! lateral global domain b.c. 
       !
       INTEGER ::   ios, ii   ! Local integer
@@ -72,5 +73,5 @@
       !
       !                             ! control print
-      WRITE(ldtxt(ii),*)                                                                              ;   ii = ii + 1
+      WRITE(ldtxt(ii),*) '   '                                                                            ;   ii = ii + 1
       WRITE(ldtxt(ii),*) 'usr_def_nam  : read the user defined namelist (namusr_def) in namelist_cfg'     ;   ii = ii + 1
       WRITE(ldtxt(ii),*) '~~~~~~~~~~~ '                                                                   ;   ii = ii + 1
@@ -81,4 +82,10 @@
       WRITE(ldtxt(ii),*) '         jpjglo = 20*nn_GYRE+2                            jpjglo = ', kpj       ;   ii = ii + 1
       WRITE(ldtxt(ii),*) '      number of model levels                           jpkglo    = ', kpk       ;   ii = ii + 1
+
+      !                             ! Set the lateral boundary condition of the global domain
+      kperio = 0                    ! GYRE configuration : closed domain
+      !
+      WRITE(ldtxt(ii),*) '   '                                                                        ;   ii = ii + 1
+      WRITE(ldtxt(ii),*) '   Lateral b.c. of the global domain set to closed     jperio = ', kperio   ;   ii = ii + 1
       !
    END SUBROUTINE usr_def_nam
@@ -90,5 +97,5 @@
       &                    pe1t  , pe1u  , pe1v   , pe1f   ,   &   ! scale factors       (required)
       &                    pe2t  , pe2u  , pe2v   , pe2f   ,   &   !
-      &                    ke1e2u_v      , pe1e2u , pe1e2v   )     ! u- & v-surfaces (if gridsize reduction is used in strait(s))
+      &                    ke1e2u_v      , pe1e2u , pe1e2v     )   ! u- & v-surfaces (if gridsize reduction is used in strait(s))
       !!----------------------------------------------------------------------
       !!                  ***  ROUTINE usr_def_hgr  ***
@@ -128,5 +135,7 @@
       !
       IF(lwp) WRITE(numout,*)
-      IF(lwp) WRITE(numout,*) '          beta-plane with regular grid-spacing and rotated domain (GYRE configuration)'
+      IF(lwp) WRITE(numout,*) 'usr_def_hgr : GYRE configuration (beta-plane with rotated regular grid-spacing)'
+      IF(lwp) WRITE(numout,*) '~~~~~~~~~~~'
+      !
       !
       !                       !==  grid point position  ==!
